低危 Oracle MySQL 安全漏洞

CVE编号

CVE-2020-2760

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-04-16
漏洞描述
Oracle MySQL是美国甲骨文(Oracle)公司的一套开源的关系数据库管理系统。MySQL Server是其中的一个数据库服务器组件。
Oracle MySQL中的MySQL Server 5.7.29及之前版本和8.0.19及之前版本的InnoDB组件存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(挂起或频繁崩溃),未授权更新、插入或删除数据, 影响数据的可用性和完整性。

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://www.oracle.com/security-alerts/cpuapr2020.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 oracle mysql * From
(including)
5.7.0
Up to
(including)
5.7.29
运行在以下环境
应用 oracle mysql * From
(including)
8.0.0
Up to
(including)
8.0.19
运行在以下环境
系统 alibaba_cloud_linux_2.1903 mysql * Up to
(excluding)
10.3.27-3.1.al8
运行在以下环境
系统 alpine_3.10 mysql * Up to
(excluding)
10.3.23-r0
运行在以下环境
系统 alpine_3.11 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.12 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.13 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.14 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.15 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.16 mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 alpine_3.8 mysql * Up to
(excluding)
10.2.32-r0
运行在以下环境
系统 alpine_3.9 mysql * Up to
(excluding)
10.3.23-r0
运行在以下环境
系统 alpine_edge mysql * Up to
(excluding)
10.4.13-r0
运行在以下环境
系统 amazon linux_AMI mysql * Up to
(excluding)
5.7.30-1.15.amzn1
运行在以下环境
系统 amazon_AMI mysql * Up to
(excluding)
5.7.30-1.15.amzn1
运行在以下环境
系统 centos_8 mysql * Up to
(excluding)
8.0.21-1.module+el8.2.0+7855+47abd494
运行在以下环境
系统 debian_10 mysql * Up to
(excluding)
1:10.3.23-0+deb10u1
运行在以下环境
系统 debian_sid mysql * Up to
(including)
5.7.26-1
运行在以下环境
系统 fedora_30 mysql * Up to
(excluding)
8.0.20-1.fc30
运行在以下环境
系统 fedora_30_Modular mysql * Up to
(excluding)
8.0-3020200430120139.a5b0195c
运行在以下环境
系统 fedora_31 mysql * Up to
(excluding)
25.3.31-1.fc31
运行在以下环境
系统 fedora_31_Modular mysql * Up to
(excluding)
8.0-3120200430120139.f636be4b
运行在以下环境
系统 fedora_32 mysql * Up to
(excluding)
26.4.4-2.fc32
运行在以下环境
系统 fedora_32_Modular mysql * Up to
(excluding)
8.0-3220200430120139.43bbeeef
运行在以下环境
系统 opensuse_Leap_15.1 mysql * Up to
(excluding)
10.2.32-lp151.2.15.1
运行在以下环境
系统 oracle linux_8 mysql * Up to
(excluding)
8.0.21-1.module+el8.2.0+7793+cfe2b687
运行在以下环境
系统 oracle_8 mysql * Up to
(excluding)
8.0.21-1.module+el8.2.0+7793+cfe2b687
运行在以下环境
系统 redhat_8 mysql * Up to
(excluding)
8.0.21-1.module+el8.2.0+7855+47abd494
运行在以下环境
系统 sles_12_SP4 mysql * Up to
(excluding)
10.2.32-3.28.2
运行在以下环境
系统 sles_12_SP5 mysql * Up to
(excluding)
10.2.32-3.28.2
运行在以下环境
系统 suse_12_SP4 mysql * Up to
(excluding)
10.2.32-3.28.2
运行在以下环境
系统 suse_12_SP5 mysql * Up to
(excluding)
10.2.32-3.28.2
运行在以下环境
系统 ubuntu_16.04 mysql * Up to
(excluding)
5.7.30-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04.7_lts mysql-5.7 * Up to
(excluding)
5.7.30-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04_lts mysql-5.7 * Up to
(excluding)
5.7.30-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04 mysql * Up to
(excluding)
1:10.1.47-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts mariadb-10.1 * Up to
(excluding)
1:10.1.47-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04_lts mariadb-10.1 * Up to
(excluding)
1:10.1.47-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_20.04 mysql * Up to
(excluding)
1:10.3.25-0ubuntu0.20.04.1
运行在以下环境
系统 ubuntu_21.04 mysql * Up to
(excluding)
8.0.20-0ubuntu1
运行在以下环境
系统 ubuntu_21.10 mysql * Up to
(excluding)
8.0.20-0ubuntu1
运行在以下环境
系统 ubuntu_22.04 mysql * Up to
(excluding)
8.0.20-0ubuntu1
运行在以下环境
系统 unionos_20 mysql * Up to
(excluding)
1:10.3.23-0+deb10u1
阿里云评分
1.7
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    管控权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况